%define anolis_release 1
%global qt_module qtremoteobjects

# Disable automatic .la file removal
%global __brp_remove_la_files %nil

Summary: Qt5 - Qt Remote Objects
Name:    qt5-%{qt_module}
Version: 5.15.9
Release: %{anolis_release}%{?dist}

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

BuildRequires: make
BuildRequires: qt5-qtbase-devel >= %{version}
BuildRequires: qt5-qtbase-private-devel
#libQt5Core.so.5(Qt_5_PRIVATE_API)(64bit)
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}
BuildRequires: qt5-qtdeclarative-devel

%description
Qt Remote Objects (QtRO) is an inter-process communication (IPC) module developed for Qt.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: qt5-qtbase-devel
%description devel
%{summary}.

%package examples
Summary: Programming examples for %{name}
Requires: %{name} = %{version}-%{release}
%description examples
%{summary}.


%prep
%setup -q -n %{qt_module}-everywhere-src-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} .. \
  %{?_qt5_examplesdir:CONFIG+=qt_example_installs}

%make_build


%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%files
%license LICENSE.*
%{_qt5_libdir}/libQt5RemoteObjects.so.5*
%{_qt5_bindir}/repc
%{_qt5_qmldir}/QtQml/RemoteObjects/
%{_qt5_qmldir}/QtRemoteObjects/

%files devel
%{_qt5_headerdir}/QtRemoteObjects/
%{_qt5_headerdir}/QtRepParser/
%{_qt5_libdir}/libQt5RemoteObjects.so
%{_qt5_libdir}/libQt5RemoteObjects.prl
%{_qt5_libdir}/cmake/Qt5RemoteObjects/
%{_qt5_libdir}/cmake/Qt5RepParser
%{_qt5_libdir}/pkgconfig/Qt5RemoteObjects.pc
%{_qt5_archdatadir}/mkspecs/features/*
%{_qt5_archdatadir}/mkspecs/modules/*
%exclude %{_qt5_libdir}/libQt5RemoteObjects.la
%{_qt5_libdir}/Qt5RepParser.la
%{_qt5_libdir}/libQt5RepParser.prl
%{_qt5_libdir}/pkgconfig/Qt5RepParser.pc

%if 0%{?_qt5_examplesdir:1}
%files examples
%{_qt5_examplesdir}/
%endif


%changelog
* Tue May 23 2023 Funda Wang <fundawang@yeah.net> - 5.15.9-1
- New version 5.15.9

* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 5.15.8-1
- Import package for anolis 23
